--- 1/res/res_pjsip_nat.c	2020-11-12 15:02:07.530732085 +0100
+++ 2/res/res_pjsip_nat.c	2020-12-04 17:57:09.159147613 +0100
@@ -156,10 +156,12 @@
 	}
 
 	if (dlg && !pj_list_empty(&dlg->route_set) && !dlg->route_set_frozen) {
-		pjsip_routing_hdr *route = dlg->route_set.next;
-		uri = pjsip_uri_get_uri(&route->name_addr);
-		rewrite_uri(rdata, uri);
-		res = 0;
+		if (!rr) {
+			pjsip_routing_hdr *route = dlg->route_set.next;
+			uri = pjsip_uri_get_uri(&route->name_addr);
+			rewrite_uri(rdata, uri);
+			res = 0;
+		}
 	}
 
 	if (!dlg && !rr && !ignore_rr  && !pubsub && rdata->msg_info.to->tag.slen){
